import React from 'react';
import {Link} from 'react-router';
import Paper from 'material-ui/Paper';
import MenuItem from 'material-ui/MenuItem';
import Drawer from 'material-ui/Drawer';
import Divider from 'material-ui/Divider';

var SBSDrawer = React.createClass({
  propTypes: {
    isOpen: React.PropTypes.bool.isRequired,
    navTransitions: React.PropTypes.array.isRequired,
    onTransition: React.PropTypes.func.isRequired
  },
  render: function() {

    return (
      <Drawer
        open={true}
        containerStyle={{'position': 'fixed', 'top': '56px',transition: 'width 0.15s'}}
        width={this.props.isOpen ? 256 : 57}>
        { this.props.navTransitions.map(function(transition, index){
          return(
            <div>
              <MenuItem
                key={index}
                leftIcon={transition.icon ? transition.icon : false}
                containerElement={<Link to={transition.path} />}
                primaryText={this.props.isOpen ? transition.name : false}
                onClick={this.props.onTransition.bind(null,transition.name)}
              />
              <Divider />
            </div>
          );
        }.bind(this))}
      </Drawer>
    );
  }
});
export default SBSDrawer;
